### Name: grpreg
### Title: fit a group penalized regression path
### Aliases: grpreg
### Keywords: models regression

### ** Examples

data(birthwt.grpreg)
Data.gaussian <- list(y=birthwt.grpreg$bwt,
                      X=as.matrix(birthwt.grpreg[,c(-1,-2)]),
                      family="gaussian",
                      group=c(1,1,1,2,2,2,3,3,4,5,5,6,7,8,8,8))
Data.binomial <- list(y=birthwt.grpreg$low,
                      X=as.matrix(birthwt.grpreg[,c(-1,-2)]),
                      family="binomial",
                      group=c(1,1,1,2,2,2,3,3,4,5,5,6,7,8,8,8))

fit1.gLasso <- grpreg(Data.gaussian,"gLasso")
fit1.gBridge <- grpreg(Data.gaussian,"gBridge",lambda.max=0.08)
fit1.gMCP <- grpreg(Data.gaussian,"gMCP")

fit2.gLasso <- grpreg(Data.binomial,"gLasso")
## An example of an unimportant failure to converge.
## Note that the plot looks fine, and that the algorithm fails to
## converge for only one value of lambda.
fit2.gBridge <- grpreg(Data.binomial,"gBridge",lambda.max=0.06)
fit2.gBridge$iter
plot(fit2.gBridge)
fit2.gMCP <- grpreg(Data.binomial,"gMCP")

select(fit2.gLasso)



